## kcalutils 25.12.1+p24.04+vunstable+git20260203.2323

=== debian/changelog ===
kcalutils (4:25.12.1+p24.04+vunstable+git20260203.2323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 23:23:02 +0000
